<?php

header('Access-Control-Allow-Origin: *');

if(isset($_GET['timezone']))
{
    

$timezone =  $_GET['timezone'];
if ( $timezone == "GMT" ) {
	$timezone = "GMT+0";
    }

$url = 'https://api.webinarjam.com/everwebinar/webinar';
$data = array('api_key' => '8f4af42b-4463-49ac-8e72-e4108dfa6944', 'webinar_id' => "34", 'timezone' => $timezone);

$options = array(
    'http' => array(
        'header'  => "Content-type: application/x-www-form-urlencoded\r\n",
        'method'  => 'POST',
        'content' => http_build_query($data)
    )
);
$context  = stream_context_create($options);
$result = file_get_contents($url, false, $context);
if ($result === FALSE)
{
    echo "API Error.";
    exit;
}
 $jsonRes = json_decode($result, true);

$total_dates = count($jsonRes['webinar']['schedules']);

$hours_to_replace = ["01:00", "02:00", "03:00", "04:00", "05:00", "06:00", "07:00", "08:00", "09:00", "10:00", "11:00", "12:00", "13:00", "14:00", "15:00", "16:00", "17:00", "18:00", "19:00", "20:00", "21:00", "22:00", "23:00", "00:00", "01:15", "02:15", "03:15", "04:15", "05:15", "06:15", "07:15", "08:15", "09:15", "10:15", "11:15", "12:15", "13:15", "14:15", "15:15", "16:15", "17:15", "18:15", "19:15", "20:15", "21:15", "22:15", "23:15", "00:15", "01:30", "02:30", "03:30", "04:30", "05:30", "06:30", "07:30", "08:30", "09:30", "10:30", "11:30", "12:30", "13:30", "14:30", "15:30", "16:30", "17:30", "18:30", "19:30", "20:30", "21:30", "22:30", "23:30", "00:30", "01:45", "02:45", "03:45", "04:45", "05:45", "06:45", "07:45", "08:45", "09:45", "10:45", "11:45", "12:45", "13:45", "14:45", "15:45", "16:45", "17:45", "18:45", "19:45", "20:45", "21:45", "22:45", "23:45", "00:45"];
$hours_replace_with = ["01:00 AM", "02:00 AM", "03:00 AM", "04:00 AM", "05:00 AM", "06:00 AM", "07:00 AM", "08:00 AM", "09:00 AM", "10:00 AM", "11:00 AM", "12:00 PM", "01:00 PM", "02:00 PM", "03:00 PM", "04:00 PM", "05:00 PM", "06:00 PM", "07:00 PM", "08:00 PM", "09:00 PM", "10:00 PM", "11:00 PM", "12:00 AM", "01:15 AM", "02:15 AM", "03:15 AM", "04:15 AM", "05:15 AM", "06:15 AM", "07:15 AM", "08:15 AM", "09:15 AM", "10:15 AM", "11:15 AM", "12:15 PM", "01:15 PM", "02:15 PM", "03:15 PM", "04:15 PM", "05:15 PM", "06:15 PM", "07:15 PM", "08:15 PM", "09:15 PM", "10:15 PM", "11:15 PM", "12:15 AM", "01:30 AM", "02:30 AM", "03:30 AM", "04:30 AM", "05:30 AM", "06:30 AM", "07:30 AM", "08:30 AM", "09:30 AM", "10:30 AM", "11:30 AM", "12:30 PM", "01:30 PM", "02:30 PM", "03:30 PM", "04:30 PM", "05:30 PM", "06:30 PM", "07:30 PM", "08:30 PM", "09:30 PM", "10:30 PM", "11:30 PM", "12:30 AM", "01:45 AM", "02:45 AM", "03:45 AM", "04:45 AM", "05:45 AM", "06:45 AM", "07:45 AM", "08:45 AM", "09:45 AM", "10:45 AM", "11:45 AM", "12:45 PM", "01:45 PM", "02:45 PM", "03:45 PM", "04:45 PM", "05:45 PM", "06:45 PM", "07:45 PM", "08:45 PM", "09:45 PM", "10:45 PM", "11:45 PM", "12:45 AM"];

for($i=0; $i<$total_dates; $i++)
{
    
    $schedule_value = $jsonRes['webinar']['schedules'][$i]['schedule'];

    
    $date_value = $date_text = $jsonRes['webinar']['schedules'][$i]['date'];
    $date_value = str_replace($hours_to_replace, $hours_replace_with, $date_value);
    $newDate = date("l, d M h:i A", strtotime($date_value));


    // echo "<option value='".$newDate."'><i class='glyphicon glyphicon-calendar'></i> ".$newDate."</option>";
    // echo "<option value='".$schedule_value."'><i class='glyphicon glyphicon-calendar'></i> ".$newDate."</option>";

    echo "<option value='".$schedule_value."' custom_date_text='".$date_text."'>".$newDate."</option>";
    
}
}

?>